### Method

# Clutter PropertyTransition get_property_name

#### Declaration [src]

    const char*
    clutter_property_transition_get_property_name (
      ClutterPropertyTransition* transition
    )

#### Description [src]

Retrieves the value of the `ClutterPropertyTransition:property-name` property.

Gets property | `Clutter.PropertyTransition:property-name`

#### Return value

Type: `const char*`

The name of the property being animated, or `NULL` if none is set. The returned string is owned by the `transition` and it should not be freed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.